uk.gov.hmrc.payeestimator.services

# TaxCalculatorHelper

###
Related Doc: package services

#### trait TaxCalculatorHelper extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
AllowanceCalculator, AnnualAllowance, EmployeeRateCalculator, EmployerRateCalculator, ExcessPayCalculator, LiveNICTaxCalculatorService, LivePAYETaxCalculatorService, LiveTaxCalculatorService, MaxRateCalculator, NICTaxCalculatorService, PAYEAggregateBuilder, PAYETaxCalculatorService, TaxBandCalculator, TaxCalculatorService, TaxablePayCalculator
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TaxCalculatorHelper
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### def isAdjustedTaxCode(taxCode: String): Boolean

12. #### def isBasicRateTaxCode(taxCode: String, isScottish: Boolean = false): Boolean

13. #### def isEmergencyTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def isMainTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

16. #### def isStandardTaxCode(taxCode: String): Boolean

17. #### def isTaxableCode(taxCode: String, isScottish: Boolean = false): Boolean

18. #### def isUnTaxedIncomeTaxCode(taxCode: String): Boolean

19. #### def isValidScottishTaxCode(taxCode: String): Boolean

20. #### def isValidTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def rateLimit(limitType: String): PartialFunction[RateLimit, Money]

25. #### def removeCountryElementFromTaxCode(taxCode: String): String

26. #### def splitTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): String

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped